HomeDocumentation and GuidesAPI Reference
API Reference

Update Location Data for Event

Allows pushing on / off states for an event at specific locations. Locations not mentioned will keep the value they had previously been set to.

The new status can be true, false or null if the value is not defined. If the value isn't defined, the global status will be used.

The keys of the new_statuses object are stringified location_id integers previously fetched using the GET /locations endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The custom event uuid

Body Params
date-time

Expiry date of the pushed updates in UTC

new_statuses
object

An object where keys are stringified integers of the IDs that should be updated and where the values are nullable booleans where null means removing the currently stored value

Response
200

OK

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!